# Cisco Enterprise NFV Infrastructure Software

ThousandEyes supports installing Enterprise Agents on supported Cisco Catalyst routers and UCS-C rack servers using Cisco Enterprise Network Functions Virtualization Infrastructure Software (NFVIS).

This article outlines the system requirements and supported devices for Cisco NFVIS.

## Overview

ThousandEyes Enterprise Agents can be installed as a container within your NFVIS environment, allowing you to leverage ThousandEyes monitoring and testing capabilities for end-to-end visibility into the performance of the underlying network infrastructure.

For more information about Cisco NFVIS, see here: [Cisco NFVIS](https://www.cisco.com/c/en/us/products/routers/enterprise-nfv-infrastructure-software/index.html).

## Supported Devices and System Requirements

| Cisco Catalyst Router              | Supported Test Types  | NFVIS Requirements             |
| ---------------------------------- | --------------------- | ------------------------------ |
| C8200 uCPE                         | All non-browser tests | NFVIS version 4.15.2 and later |
| C8300 uCPE                         | All non-browser tests | NFVIS version 4.15.2 and later |
| NFVIS supported UCS-C rack servers | All non-browser tests | NFVIS version 4.15.2 and later |

## Installation Instructions

Refer to the Cisco documentation links and instructions below to deploy ThousandEyes on Cisco NFVIS:

* [Install Enterprise Agents on Cisco Routers using NFVIS and the Cisco Catalyst SD-WAN Manager](https://www.cisco.com/c/en/us/td/docs/routers/nfvis/config/sd-branch-4/b-NFV-vManage-solution-guide/m-thousand-eyes-container-support-sd-branch.html)
* [Install Enterprise Agents on Cisco Routers using the NFVIS Web UI](https://www.cisco.com/c/en/us/td/docs/routers/nfvis/config/nfvis-4/nfvis-config-guide-4/m-cisco-nfvis-thousandeyes-support.html)
* [Install Enterprise Agents on Cisco Routers using NFVIS Standalone CLI](#install-enterprise-agents-on-cisco-routers-using-nfvis-and-the-thousandeyes-cli)

{% hint style="info" %}
ThousandEyes recommends using the SD-WAN Manager for installing Enterprise Agents on Cisco routers using NFVIS.
{% endhint %}

### Install Enterprise Agents on Cisco Routers using NFVIS and the ThousandEyes CLI

To install a ThousandEyes Enterprise Agent on NFVIS using the CLI:

1. Configure the Docker image registration details. An example configuration is shown below. Ensure you replace the `src` URL with the URL provided in the **Add New Enterprise Agent** dialog:

   ```
   vm_lifecycle images image thousandeyes-enterprise-agent
    src https://downloads.thousandeyes.com/enterprise-agent/thousandeyes-enterprise-agent-VERSION-nfvis.docker
    locator vim_id container
    properties property low_latency
     value false
    !
    properties property placement
     value datastore1
    !
    properties property vnf_type
     value THOUSANDEYES
    !
    
   !
   ```
2. Configure the resource details as a flavor:

   ```
   vm_lifecycle flavors flavor thousandeyes-flavor vcpus 2 memory_mb 2048 root_disk_mb 20480
   !
   ```
3. Configure the ThousandEyes Enterprise Agent container deployment details, replacing `ACCOUNT_GROUP_TOKEN` with your account group token:

   ```
   vm_lifecycle tenants tenant admin
    deployments deployment TE_DEMO
     vm_group TE_DEMO
      vim_vm_name  TE_DEMO
      locator vim_id container
      image       thousandeyes-enterprise-agent
      flavor      thousandeyes-flavor
      bootup_time -1
      config_data configuration bootstrap_config
       data            "{ \"env_variables\" : { \"TEAGENT_ACCOUNT_TOKEN\" : \"${TEAGENT_ACCOUNT_TOKEN}\", \"TEAGENT_INET\" : \"4\"} }"
       template_engine VELOCITY
       variable TEAGENT_ACCOUNT_TOKEN
        val [ ACCOUNT_GROUP_TOKEN ]
       !
     !
    !
   !
   ```
4. Commit the configurations.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thousandeyes.com/product-documentation/global-vantage-points/enterprise-agents/installing/cisco-devices/nfvis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
